Summary: Utility to analyse tcpdump captures for TCP flows
Name: tcptrace
Version: 6.6.7
Release: 1%{?dist}
License: GPLv2+
Url: http://www.tcptrace.org/
Source: http://www.tcptrace.org/download/%{name}-%{version}.tar.gz
#Patch0: %{name}-build.patch
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libpcap-devel bison flex glibc-headers 

%description
tcptrace is a tool written by Shawn Ostermann at Ohio University, for
analysis of TCP dump files. It can take as input the files produced
by several popular packet-capture programs, including tcpdump, snoop,
etherpeek, HP Net Metrix, and WinDump. tcptrace can produce several
different types of output containing information on each connection
seen, such as elapsed time, bytes and segments sent and recieved,
retransmissions, round trip times, window advertisements, throughput,
and more. It can also produce a number of graphs for further analysis.

%prep
%setup -q 
#%patch0

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1/
install -m 0755 tcptrace  %{buildroot}%{_bindir}
install -m 0755 xpl2gpl  %{buildroot}%{_bindir}
install -m 0644 tcptrace.man  %{buildroot}%{_mandir}/man1/tcptrace.1
gzip -9 %{buildroot}%{_mandir}/man1/tcptrace.1

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{_bindir}/*
%doc CHANGES README* COPY* ARGS THANKS
%{_mandir}/*/*

%changelog
* Thu Mar  3 2011 Paul Wouters <paul@xelerance.com> - 6.6.7-1
- Initial package for Fedora 
